Subject: Re: [PATCH v2 01/18] t1404: new tests of ref D/F conflicts within transactions

From: Michael Haggerty <[email-masked]>
Date: Tue, 12 May 2015 10:45:08 +0200

On 05/11/2015 08:52 PM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>>  t/t1404-update-ref-df-conflicts.sh | 107 +++++++++++++++++++++++++++++++++++++
>>  1 file changed, 107 insertions(+)
>>  create mode 100755 t/t1404-update-ref-df-conflicts.sh
>>
>> diff --git a/t/t1404-update-ref-df-conflicts.sh b/t/t1404-update-ref-df-conflicts.sh
>> new file mode 100755
>> index 0000000..ed1b93e
>> --- /dev/null
>> +++ b/t/t1404-update-ref-df-conflicts.sh
>> @@ -0,1 +1,107 @@
> 
> Where does this "-0,1" come from???

Good question. I had forgotten to insert the space in

        test_update_rejected () {
                            ^ space was missing when I ran format-patch

so I edited the email file in emacs. Emacs detected that the file
contained a patch, so when I edited the hunk, it tried to adjust the
hunk line numbers to keep them in agreement with the patch. Obviously,
it screwed up. So the incorrect line numbers were caused by a bug in
emacs diff-mode.

Sorry for the confusion.

> [...]

Michael

-- 
Michael Haggerty
[email-masked]